get account filter.md

Get Account filter

Media API · Asset Filters

GET https://app.mk.io/api/v1/projects/{project_name}/media/accountFilters/{filter_name}

Get an account filter by name.

RBAC Capability Required: ams.accountfilter.get

Authentication

Path parameters

Name Type Required Description
project_name string Yes
filter_name string Yes

Example request

curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/accountFilters/{filter_name}" \
  -H "Authorization: Bearer <token>"

Responses

200 — A single account filter

Example:

{
  "id": "string",
  "name": "name",
  "properties": {
    "firstQuality": {
      "bitrate": 0
    },
    "presentationTimeRange": {
      "endTime": "2024-01-01T00:00:00Z",
      "endTimestamp": 0,
      "forceEndTimestamp": true,
      "liveBackoffDuration": 0,
      "presentationWindowDuration": 0,
      "startTime": "2024-01-01T00:00:00Z",
      "startTimestamp": 0,
      "timescale": 10000000
    },
    "tracks": [
      {
        "trackSelections": [
          {
            "operation": "Equal",
            "property": "Unknown",
            "value": "string"
          }
        ]
      }
    ]
  },
  "systemData": {
    "createdAt": "2024-01-01T00:00:00Z",
    "createdBy": "string",
    "createdByType": "User",
    "internalId": "00000000-0000-0000-0000-000000000000",
    "lastModifiedAt": "2024-01-01T00:00:00Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  },
  "type": "string"
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}